'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var mplCandyMachine = require('@metaplex-foundation/mpl-candy-machine');
var candyMachineSpace = require('./candyMachineSpace.cjs');
var BaseAccount = require('../../../types/BaseAccount.cjs');

class CandyMachineAccount extends BaseAccount.BaseAccount {
  get size() {
    return candyMachineSpace.getSpaceForCandy(this.data.data);
  }

  static from(unparsedAccount) {
    return new CandyMachineAccount(CandyMachineAccount.parse(unparsedAccount, mplCandyMachine.CandyMachine));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? CandyMachineAccount.from(maybe) : maybe;
  }

}

exports.CandyMachineAccount = CandyMachineAccount;
//# sourceMappingURL=CandyMachineAccount.cjs.map
