'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var buffer = require('buffer');
var mplTokenMetadata = require('@metaplex-foundation/mpl-token-metadata');
var TokenMetadataProgram = require('../TokenMetadataProgram.cjs');
var BaseAccount = require('../../../types/BaseAccount.cjs');
var Pda = require('../../../types/Pda.cjs');

class MetadataAccount extends BaseAccount.BaseAccount {
  static async pda(mint) {
    return Pda.Pda.find(TokenMetadataProgram.TokenMetadataProgram.publicKey, [buffer.Buffer.from('metadata', 'utf8'), TokenMetadataProgram.TokenMetadataProgram.publicKey.toBuffer(), mint.toBuffer()]);
  }

  static from(unparsedAccount) {
    return new MetadataAccount(this.parse(unparsedAccount, mplTokenMetadata.Metadata));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? this.from(maybe) : maybe;
  }

}

exports.MetadataAccount = MetadataAccount;
//# sourceMappingURL=MetadataAccount.cjs.map
