'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Driver = require('./Driver.cjs');
var SdkError = require('../errors/SdkError.cjs');

class ProgramDriver extends Driver.Driver {
  getGpaBuilder(nameOrAddress) {
    const program = this.get(nameOrAddress);

    if (!program.gpaResolver) {
      throw new SdkError.MissingGpaBuilderError(program);
    }

    return program.gpaResolver(this.metaplex);
  }

}

exports.ProgramDriver = ProgramDriver;
//# sourceMappingURL=ProgramDriver.cjs.map
