import { BundlrStorageDriver } from './BundlrStorageDriver.mjs';
import { planUploadMetadataOperation } from '../nftModule/planUploadMetadata.mjs';
import { planUploadMetadataUsingBundlrOperationHandler } from './planUploadMetadataUsingBundlrOperationHandler.mjs';

const bundlrStorage = (options = {}) => ({
  install(metaplex) {
    metaplex.setStorageDriver(new BundlrStorageDriver(metaplex, options));
    metaplex.operations().register(planUploadMetadataOperation, planUploadMetadataUsingBundlrOperationHandler);
  }

});

export { bundlrStorage };
//# sourceMappingURL=plugin.mjs.map
