import { CandyMachine } from './CandyMachine.mjs';
import { CandyMachineAccount } from '../../programs/candyMachine/accounts/CandyMachineAccount.mjs';
import { useOperation } from '../../types/Operation.mjs';

// Operation
// -----------------

const Key = 'FindCandyMachineByAdddressOperation';
const findCandyMachineByAdddressOperation = useOperation(Key);
// -----------------
// Handler
// -----------------
const findCandyMachineByAdddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const candyMachineAddress = operation.input;
    const unparsedAccount = await metaplex.rpc().getAccount(candyMachineAddress);
    const account = CandyMachineAccount.fromMaybe(unparsedAccount);
    return account.exists ? CandyMachine.fromAccount(account) : null;
  }
};

export { findCandyMachineByAdddressOperation, findCandyMachineByAdddressOperationHandler };
//# sourceMappingURL=findCandyMachineByAddress.mjs.map
