import { WalletAdapterIdentityDriver } from './WalletAdapterIdentityDriver.mjs';
import { GuestIdentityDriver } from '../guestIdentity/GuestIdentityDriver.mjs';

const walletAdapterIdentity = walletAdapter => ({
  install(metaplex) {
    metaplex.setIdentityDriver(new WalletAdapterIdentityDriver(metaplex, walletAdapter));
  }

});
const walletOrGuestIdentity = walletAdapter => ({
  install(metaplex) {
    const identity = walletAdapter ? new WalletAdapterIdentityDriver(metaplex, walletAdapter) : new GuestIdentityDriver(metaplex);
    metaplex.setIdentityDriver(identity);
  }

});

export { walletAdapterIdentity, walletOrGuestIdentity };
//# sourceMappingURL=plugin.mjs.map
