import { Buffer } from 'buffer';
import BN from 'bn.js';
import { EditionMarker } from '@metaplex-foundation/mpl-token-metadata';
import { TokenMetadataProgram } from '../TokenMetadataProgram.mjs';
import { Pda } from '../../../types/Pda.mjs';
import { BaseAccount } from '../../../types/BaseAccount.mjs';

class EditionMarkerAccount extends BaseAccount {
  static async pda(mint, edition) {
    return Pda.find(TokenMetadataProgram.publicKey, [Buffer.from('metadata', 'utf8'), TokenMetadataProgram.publicKey.toBuffer(), mint.toBuffer(), Buffer.from('edition', 'utf8'), Buffer.from(edition.div(new BN(248)).toString())]);
  }

  static from(unparsedAccount) {
    return new EditionMarkerAccount(this.parse(unparsedAccount, EditionMarker));
  }

  static fromMaybe(maybe) {
    return maybe.exists ? this.from(maybe) : maybe;
  }

}

export { EditionMarkerAccount };
//# sourceMappingURL=EditionMarkerAccount.mjs.map
