import { Driver } from './Driver.mjs';
import { MissingGpaBuilderError } from '../errors/SdkError.mjs';

class ProgramDriver extends Driver {
  getGpaBuilder(nameOrAddress) {
    const program = this.get(nameOrAddress);

    if (!program.gpaResolver) {
      throw new MissingGpaBuilderError(program);
    }

    return program.gpaResolver(this.metaplex);
  }

}

export { ProgramDriver };
//# sourceMappingURL=ProgramDriver.mjs.map
